{
    name: "Swift Energy",
    spritenum: -617,
    fling: {
    	basePower: 90
    },
    onModifySpePriority: 1,
    onModifySpe(spe, pokemon) {
    	if (pokemon.baseSpecies.baseSpecies === 'Typecast') {
    		return this.chainModify(1.5);
    	}
    },
    onDisableMove(pokemon) {
  	  for (const moveSlot of pokemon.moveSlots) {
  		  const move = this.dex.moves.get(moveSlot.id);
  		  if (move.category === 'Status' && move.id !== 'mefirst') {
  			  pokemon.disableMove(moveSlot.id);
  		  }
  	  }
    },
    itemUser: ["Typecast","Typecast-Normal","Typecast-Fire","Typecast-Water","Typecast-Grass","Typecast-Electric","Typecast-Ice","Typecast-Psychic","Typecast-Dark","Typecast-Ghost","Typecast-Fairy","Typecast-Fighting","Typecast-Flying","Typecast-Bug","Typecast-Rock","Typecast-Ground","Typecast-Steel","Typecast-Poison","Typecast-Dragon"],
    num: -711,
    gen: 9,
}